{
  "name": "Charmsta",
  "version": "0.0.1",
  "private": true,
  "scripts": {
    "android": "react-native run-android",
    "ios": "react-native run-ios",
    "lint": "eslint . --ext .js,.jsx,.ts,.tsx",
    "lint:fix": "eslint . --ext .js,.jsx,.ts,.tsx --fix",
    "start": "react-native start",
    "test": "jest",
    "postinstall": "npx react-native setup-ios-permissions && npx pod-install"
  },
  "dependencies": {
    "@react-native-async-storage/async-storage": "~1.17.11",
    "@react-native-firebase/app": "^17.4.0",
    "@react-native-firebase/auth": "^17.4.0",
    "@react-native-google-signin/google-signin": "^9.0.2",
    "@react-navigation/bottom-tabs": "^6.5.7",
    "@react-navigation/native": "^6.1.4",
    "@react-navigation/native-stack": "^6.9.11",
    "@react-navigation/stack": "^6.3.15",
    "axios": "^1.3.4",
    "axios-retry": "^3.4.0",
    "d4dpocket": "^0.1.8",
    "formik": "^2.2.9",
    "i18n-js": "3.9.2",
    "lodash": "^4.17.21",
    "mobx": "6.8.0",
    "mobx-react-lite": "3.4.0",
    "mobx-state-tree": "5.1.7",
    "moment": "^2.29.4",
    "react": "18.2.0",
    "react-dom": "^18.2.0",
    "react-native": "0.71.3",
    "react-native-config": "^1.5.0",
    "react-native-contacts": "^7.0.5",
    "react-native-datepicker": "^1.7.2",
    "react-native-device-info": "^10.4.0",
    "react-native-fbsdk-next": "^11.2.0",
    "react-native-image-crop-picker": "^0.39.0",
    "react-native-keychain": "^8.1.1",
    "react-native-localize": "^2.2.4",
    "react-native-modal": "^13.0.1",
    "react-native-permissions": "^3.8.0",
    "react-native-safe-area-context": "^4.5.0",
    "react-native-screens": "^3.20.0",
    "react-native-splash-screen": "^3.3.0",
    "react-native-vector-icons": "^9.2.0",
    "yup": "^1.1.0"
  },
  "devDependencies": {
    "@babel/core": "^7.20.0",
    "@babel/preset-env": "^7.20.0",
    "@babel/runtime": "^7.20.0",
    "@react-native-community/eslint-config": "^3.2.0",
    "@testing-library/react-hooks": "^8.0.1",
    "@testing-library/react-native": "^12.0.1",
    "@tsconfig/react-native": "^2.0.3",
    "@types/i18n-js": "^3.8.4",
    "@types/jest": "^29.4.0",
    "@types/lodash": "^4.14.192",
    "@types/react": "^18.0.28",
    "@types/react-native-vector-icons": "^6.4.13",
    "@types/react-test-renderer": "^18.0.0",
    "@typescript-eslint/eslint-plugin": "^5.53.0",
    "@typescript-eslint/parser": "^5.53.0",
    "babel-jest": "^29.2.1",
    "babel-plugin-module-resolver": "^5.0.0",
    "eslint": "^8.34.0",
    "eslint-config-prettier": "^8.6.0",
    "eslint-plugin-prettier": "^4.2.1",
    "jest": "^29.2.1",
    "metro-react-native-babel-preset": "0.73.7",
    "prettier": "^2.8.4",
    "react-test-renderer": "18.2.0",
    "typescript": "^4.9.5"
  },
  "prettier": {
    "printWidth": 80,
    "semi": false,
    "singleQuote": false,
    "trailingComma": "all"
  },
  "eslintConfig": {
    "root": true,
    "parser": "@typescript-eslint/parser",
    "extends": [
      "plugin:@typescript-eslint/recommended",
      "plugin:react/recommended",
      "plugin:react-native/all",
      "standard",
      "prettier"
    ],
    "plugins": [
      "@typescript-eslint",
      "react",
      "react-native"
    ],
    "parserOptions": {
      "ecmaFeatures": {
        "jsx": true
      },
      "project": "./tsconfig.json"
    },
    "settings": {
      "react": {
        "pragma": "React",
        "version": "detect"
      }
    },
    "globals": {
      "__DEV__": false,
      "jasmine": false,
      "beforeAll": false,
      "afterAll": false,
      "beforeEach": false,
      "afterEach": false,
      "test": false,
      "expect": false,
      "describe": false,
      "jest": false,
      "it": false
    },
    "rules": {
      "@typescript-eslint/ban-ts-ignore": 0,
      "@typescript-eslint/ban-ts-comment": 0,
      "@typescript-eslint/explicit-function-return-type": 0,
      "@typescript-eslint/explicit-member-accessibility": 0,
      "@typescript-eslint/explicit-module-boundary-types": 0,
      "@typescript-eslint/indent": 0,
      "@typescript-eslint/member-delimiter-style": 0,
      "@typescript-eslint/no-empty-interface": 0,
      "@typescript-eslint/no-explicit-any": 0,
      "@typescript-eslint/no-object-literal-type-assertion": 0,
      "@typescript-eslint/no-var-requires": 0,
      "comma-dangle": 0,
      "multiline-ternary": 0,
      "no-undef": 0,
      "no-unused-vars": 0,
      "no-use-before-define": "off",
      "quotes": 0,
      "react-native/no-raw-text": 0,
      "react/no-unescaped-entities": 0,
      "react/prop-types": "off",
      "space-before-function-paren": 0,
      "react-native/no-color-literals": 2
    }
  },
  "jest": {
    "testMatch": [
      "**/*.test.ts?(x)"
    ],
    "testPathIgnorePatterns": [
      "node_modules"
    ],
    "transformIgnorePatterns": [
      "node_modules/(?!(jest-)?@?react-native|@react-native-community|@react-navigation|expo)"
    ],
    "preset": "react-native",
    "coverageDirectory": "./coverage/",
    "collectCoverage": true,
    "moduleNameMapper": {
      ".+\\.(css|styl|less|sass|scss)$": "identity-obj-proxy",
      ".+\\.(jpg|jpeg|png|gif|eot|otf|webp|svg|ttf|woff|woff2|mp4|webm|wav|mp3|m4a|aac|oga)$": "<rootDir>/__mocks__/fileMock.js"
    },
    "setupFiles": [
      "./node_modules/@react-native-google-signin/google-signin/jest/build/setup.js"
    ],
    "setupFilesAfterEnv": [
      "./jest.setup.js"
    ]
  },
  "reactNativePermissionsIOS": [
    "Camera",
    "PhotoLibrary"
  ]
}
